function divergence = DKL(z,x,T,alpha)

X = fft2(x);
tx = real(ifft2(T.*X));

%tx = projection(tx,0,10^10);

j = find(z>0 & tx>0);
k = find(z==0 & tx<=0);

Ytildj =   alpha * tx(j) - z(j) + z(j).*log(z(j)./(alpha*tx(j)));
Ytildk = alpha * tx(k);
divergence = sum(Ytildj(:))+sum(Ytildk(:));

